## class fltk::MultilineInput

### Class Hierarchy

    fltk::Input
       |
       +----fltk::MultilineInput

### Include Files

    #include <fltk/MultilineInput.h>

### Description

This input field displays `'\n'` characters as new lines rather than `^J`, and accepts the Return, Tab, and up and down arrow keys. Long lines of text scroll horizontally, you may want fltk::WordwrapInput instead.

Because there are no scrollbars, this is probably only good for small bits of text, 10 lines at most. More powerful editing is available from the fltk::TextEditor widget.

### Methods

- fltk::MultilineInput
- ~MultilineInput

#### fltk::MultilineInput::MultilineInput(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::MultilineInput` widget using the given position, size, and label string.

#### virtual fltk::MultilineInput::~MultilineInput()

Destroys the widget and any value associated with it.